commit:     5d55fb34b885403d9e8484ea56438e17a643f0b4
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  4 13:30:04 2019 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 13:30:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d55fb34

dev-python/scandir: Works with py3.7

Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 dev-python/scandir/scandir-1.10.0-r1.ebuild | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/dev-python/scandir/scandir-1.10.0-r1.ebuild 
b/dev-python/scandir/scandir-1.10.0-r1.ebuild
new file mode 100644
index 00000000000..7de4dbb9c46
--- /dev/null
+++ b/dev-python/scandir/scandir-1.10.0-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A better directory iterator and faster os.walk()"
+HOMEPAGE="https://github.com/benhoyt/scandir";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       ${EPYTHON} test/run_tests.py -v || die "tests failed under ${EPYTHON}"
+}

Reply via email to